﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DispatchDemo.InputAdapter1
{
    /// <summary>
    /// Configuration for the input adapter
    /// </summary>
    public class DispatcherInputConfig
    {
        /// <summary>
        /// The name of the stop
        /// </summary>
        public string StopName { get; set; }
        /// <summary>
        /// The number that how many trains the stop can hold
        /// </summary>
        public int StopCapacity { get; set; }
        /// <summary>
        /// The lines that cross the stop
        /// </summary>
        public  TrainLine[] CrossLines{ get; set; }

    }
}
