﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.ComplexEventProcessing.Adapters;
using Microsoft.ComplexEventProcessing;

namespace DispatchDemo.OutputAdapter1
{
    public class DispatcherOutputFactory : ITypedOutputAdapterFactory<DispatcherOutputConfig>
    {
        public OutputAdapterBase Create<TPayload>(DispatcherOutputConfig config, EventShape eventShape)
        {
            if (eventShape == EventShape.Point)
                return new DispacherTypedPointOutput(config);
            else
                return default(OutputAdapterBase);
        }

        public void Dispose()
        {

        }
    }
}
