﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.ComplexEventProcessing.Adapters;
using Microsoft.ComplexEventProcessing;

namespace DispatchDemo.InputAdapter1
{
    public class DispatcherInputFactory : ITypedInputAdapterFactory<DispatcherInputConfig>
    {
        public InputAdapterBase Create<TPayload>(DispatcherInputConfig config, EventShape eventShape)
        {
            // All the events are of point type, for this demo
            if (eventShape == EventShape.Point)
                return new DispatcherTypedPointInput(config);
            else
                return default(InputAdapterBase);
        }

        public void Dispose()
        {

        }
    }
}
