﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DispatchDemo
{
    public class TrainRuntimeInfo
    {
        /// <summary>
        /// The ID of the train.
        /// </summary>
        public string ID { get; set; }
        /// <summary>
        /// The speed of the train
        /// </summary>
        public double Speed { get; set; }
        /// <summary>
        /// The planed time of the train to get into the stop 
        /// </summary>
        public DateTime PlanedInStopTime { get; set; }
        /// <summary>
        /// The current line that the train is on.
        /// </summary>
        public string CurrentLine { get; set; }
        /// <summary>
        /// The target line that the train goes to
        /// </summary>
        public string TargetLine { get; set; }
        /// <summary>
        /// The stop that the train will be in or out
        /// </summary>
        public string attachedStop { get; set; }

    }
}
